libzypp: zypp::media::ProxyInfo Class Reference

libzypp 17.36.6

Classes | Public Types | Public Member Functions | Private Attributes | List of all members
zypp::media::ProxyInfo Class Reference

`#include <zypp-curl/proxyinfo.h>`

## Classes
struct | Impl

## Public Types
using | Ptr = intrusive_ptr<ProxyInfo>
using | constPtr = intrusive_ptr<ProxyInfo>
using | NoProxyList = std::list<std::string>
using | NoProxyIterator = std::list<std::string>::const_iterator
using | ImplPtr = shared_ptr<Impl>

## Public Member Functions
| ProxyInfo ()
| Default Ctor: guess the best available implementation.
| ProxyInfo (ProxyInfo::ImplPtr pimpl_r)
| Ctor taking a specific implementation.
bool | enabled () const
std::string | proxy (const Url &url) const
NoProxyList | noProxy () const
NoProxyIterator | noProxyBegin () const
NoProxyIterator | noProxyEnd () const
bool | useProxyFor (const Url &url_r) const
| Return `true` if enabled and url_r does not match noProxy.

## Private Attributes
RW_pointer< Impl > | _pimpl
| Pointer to implementation.

## Detailed Description

Definition at line 29 of file proxyinfo.h.

## Member Typedef Documentation

## ◆ Ptr

using zypp::media::ProxyInfo::Ptr = intrusive_ptr<ProxyInfo>

Definition at line 32 of file proxyinfo.h.

## ◆ constPtr

using zypp::media::ProxyInfo::constPtr = intrusive_ptr<ProxyInfo>

Definition at line 33 of file proxyinfo.h.

## ◆ NoProxyList

using zypp::media::ProxyInfo::NoProxyList = std::list<std::string>

Definition at line 34 of file proxyinfo.h.

## ◆ NoProxyIterator

using zypp::media::ProxyInfo::NoProxyIterator = std::list<std::string>::const_iterator

Definition at line 35 of file proxyinfo.h.

## ◆ ImplPtr

using zypp::media::ProxyInfo::ImplPtr = shared_ptr<Impl>

Definition at line 39 of file proxyinfo.h.

## Constructor & Destructor Documentation

## ◆ ProxyInfo() [1/2]

zypp::media::ProxyInfo::ProxyInfo | ( |  | ) |

Default Ctor: guess the best available implementation.

Definition at line 29 of file proxyinfo.cc.

## ◆ ProxyInfo() [2/2]

zypp::media::ProxyInfo::ProxyInfo | ( | ProxyInfo::ImplPtr | pimpl_r | ) |

Ctor taking a specific implementation.

Definition at line 37 of file proxyinfo.cc.

## Member Function Documentation

## ◆ enabled()

bool zypp::media::ProxyInfo::enabled | ( |  | ) | const

Definition at line 41 of file proxyinfo.cc.

## ◆ proxy()

std::string zypp::media::ProxyInfo::proxy | ( | const Url & | url | ) | const

Definition at line 44 of file proxyinfo.cc.

## ◆ noProxy()

ProxyInfo::NoProxyList zypp::media::ProxyInfo::noProxy | ( |  | ) | const

Definition at line 47 of file proxyinfo.cc.

## ◆ noProxyBegin()

ProxyInfo::NoProxyIterator zypp::media::ProxyInfo::noProxyBegin | ( |  | ) | const

Definition at line 50 of file proxyinfo.cc.

## ◆ noProxyEnd()

ProxyInfo::NoProxyIterator zypp::media::ProxyInfo::noProxyEnd | ( |  | ) | const

Definition at line 53 of file proxyinfo.cc.

## ◆ useProxyFor()

bool zypp::media::ProxyInfo::useProxyFor | ( | const Url & | url_r | ) | const

Return `true` if enabled and url_r does not match noProxy.

Definition at line 56 of file proxyinfo.cc.

## Member Data Documentation

## ◆ _pimpl

RW_pointer<Impl> zypp::media::ProxyInfo::_pimpl
| private

Pointer to implementation.

Definition at line 57 of file proxyinfo.h.

The documentation for this class was generated from the following files:

- zypp-curl/proxyinfo.h
- zypp-curl/proxyinfo.cc